Subject: Re: e1000e "Detected Tx Unit Hang"

From: Stefan Roese <[email-masked]>
Date: Mon, 14 Jul 2008 09:47:46 +0200

Felix,

On Monday 14 July 2008, Felix Radensky wrote:
> I'm CC-ing Stefan, who ported Linux to this platform.
>
> Applying the patch you suggested did not help. I'm still getting TX unit
> hangs. I don't see any netdev watchdog messages. When the hang occurs
> I cannot get the prompt, so I cannot run ethtool.
>
> The following command works always
>
> dd if=/dev/zero of=/mnt/test bs=512 count=2
>
> and the following causes Tx unit hang
>
>  dd if=/dev/zero of=/mnt/test bs=512 count=3
>
> Stefan, are you aware of any PCIe related problems on Canyonlands ?
> AMCC have compatibility chart on their site, which indicates that this
> particular card (Intel PRO/1000 T Desktop Adapter) Iwas tested with
> linux-2.6.25 kernel.

What Linux kernel version did you use? From kernel.org or from the 
linux-2.6-denx repository? Please send the complete bootup log including 
U-Boot startup log.

Thanks.

Best regards,
Stefan